<?php

	// This page should be omitted on actual run.
	if(PHPSET::DEBUG_MODE === False)
	{
		Header($_SERVER["SERVER_PROTOCOL"]." 404 Not Found", true, 404);
		echo PHPRC_FSO_FILE::REF_READALL("404.html", PHPSET::$ROOT . "/pages/status/");
		Exit;
	}
	
	// Send CSS Header
	Header("Content-Type: application/javascript");
	
	// Load page
	$HTML_CODE = PHPRC_FSO_FILE::REF_READALL('DiagonalHover.txt', PHPSET::$ROOT . '/Server/System/subscript_js/');
	echo PHPVC_COMPILER::VAR_REPLACE_TAG($HTML_CODE, 'SITE_URL', PHPSET::$SITE_URL) . "\n";
	
	$HTML_CODE = PHPRC_FSO_FILE::REF_READALL('PuzzleCommon.txt', PHPSET::$ROOT . '/Server/System/subscript_js/');
	echo PHPVC_COMPILER::VAR_REPLACE_TAG($HTML_CODE, 'SITE_URL', PHPSET::$SITE_URL) . "\n";
	
	$HTML_CODE = PHPRC_FSO_FILE::REF_READALL('PuzzleFixed.txt', PHPSET::$ROOT . '/Server/System/subscript_js/');
	echo PHPVC_COMPILER::VAR_REPLACE_TAG($HTML_CODE, 'SITE_URL', PHPSET::$SITE_URL) . "\n";

	$HTML_CODE = PHPRC_FSO_FILE::REF_READALL('PuzzlePattern.txt', PHPSET::$ROOT . '/Server/System/subscript_js/');
	echo PHPVC_COMPILER::VAR_REPLACE_TAG($HTML_CODE, 'SITE_URL', PHPSET::$SITE_URL) . "\n";
	
	$HTML_CODE = PHPRC_FSO_FILE::REF_READALL('PuzzlePop.txt', PHPSET::$ROOT . '/Server/System/subscript_js/');
	echo PHPVC_COMPILER::VAR_REPLACE_TAG($HTML_CODE, 'SITE_URL', PHPSET::$SITE_URL) . "\n";

	$HTML_CODE = PHPRC_FSO_FILE::REF_READALL('PuzzleFlip.txt', PHPSET::$ROOT . '/Server/System/subscript_js/');
	echo PHPVC_COMPILER::VAR_REPLACE_TAG($HTML_CODE, 'SITE_URL', PHPSET::$SITE_URL) . "\n";
	
	// END OF SANDBOX
	$HTML_CODE = PHPRC_FSO_FILE::REF_READALL('Debug.txt', PHPSET::$ROOT . '/Server/System/subscript_js/');
	echo PHPVC_COMPILER::VAR_REPLACE_TAG($HTML_CODE, 'SITE_URL', PHPSET::$SITE_URL) . "\n";
	
	Exit();
	
?>